<?php
/*
Copyright 2002, 2005, 2006 Mike Little

This file is part of Mike Little's Journalized Theme.

Mike Little's Journalized Theme is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Mike Little's Journalized Theme is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Mike Little's Journalized Theme; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/ ?>
<?php

add_action('wp_head', 'journalized_head');

// theme admin stuff
add_action('admin_menu', 'journalized_add_theme_page');

function journalized_add_theme_page() {
    global $theme_journalized_options;
    get_journalized_theme_options();

    //if this is our page
    if ( $_GET['page'] == basename(__FILE__) ) {
        // do processing

        if ('save' == $_REQUEST['action']) {
            // do save processing
            // populate the array
            if (isset($_REQUEST['skin'])) {
                $theme_journalized_options['skin'] = $_REQUEST['skin'];
            }

            if (isset($_REQUEST['layout'])) {
                $theme_journalized_options['layout'] = $_REQUEST['layout'];
            }

            if (isset($_REQUEST['altlayout'])) {
                $theme_journalized_options['altlayout'] = $_REQUEST['altlayout'];
            }


            if (isset($_REQUEST['col_a_quote'])) {
                $theme_journalized_options['col_a_quote'] = $_REQUEST['col_a_quote'];
            }

            if (isset($_REQUEST['col_b_quote'])) {
                $theme_journalized_options['col_b_quote'] = $_REQUEST['col_b_quote'];
            }

            if (isset($_REQUEST['calendar_column'])) {
                $theme_journalized_options['calendar_column'] = $_REQUEST['calendar_column'];
            }

            if (isset($_REQUEST['comments_column'])) {
                $theme_journalized_options['comments_column'] = $_REQUEST['comments_column'];
            }

            if (isset($_REQUEST['categories_column'])) {
                $theme_journalized_options['categories_column'] = $_REQUEST['categories_column'];
            }

            if (isset($_REQUEST['intlinks_column'])) {
                $theme_journalized_options['intlinks_column'] = $_REQUEST['intlinks_column'];
            }

            if (isset($_REQUEST['search_column'])) {
                $theme_journalized_options['search_column'] = $_REQUEST['search_column'];
            }

            if (isset($_REQUEST['archives_column'])) {
                $theme_journalized_options['archives_column'] = $_REQUEST['archives_column'];
            }

            if (isset($_REQUEST['other_column'])) {
                $theme_journalized_options['other_column'] = $_REQUEST['other_column'];
            }

            if (isset($_REQUEST['links_column'])) {
                $theme_journalized_options['links_column'] = $_REQUEST['links_column'];
            }

            if (isset($_REQUEST['headimg_name'])) {
                $theme_journalized_options['headimg_name'] = $_REQUEST['headimg_name'];
            } else {
                $theme_journalized_options['headimg_name'] = '';
            }

            if (isset($_REQUEST['headimg_wide'])) {
                $theme_journalized_options['headimg_wide'] = $_REQUEST['headimg_wide'];
            } else {
                $theme_journalized_options['headimg_wide'] = '';
            }

            if (isset($_REQUEST['headimg_bg'])) {
                $theme_journalized_options['headimg_bg'] = $_REQUEST['headimg_bg'];
            } else {
                $theme_journalized_options['headimg_bg'] = '';
            }

            update_option('theme-journalized-options', serialize($theme_journalized_options));
            // all done
            header("Location: themes.php?page=functions.php&saved=true");
            die;
        } // end if save
    } // end if our page

    if (function_exists('add_theme_page')) {
        add_theme_page('Journalized Theme Options', 'Journalized  Theme Options', 'edit_themes', basename(__FILE__), 'journalized_theme_page');
    } else {
        add_submenu_page('themes.php', 'Journalized Theme Options', 'Journalized  Theme Options', 5, basename(__FILE__), 'journalized_theme_page');
    }

} // end journalized_add_theme_page

function journalized_theme_page() {

    $imagedir = dirname(get_stylesheet_directory_uri()) . '/' . basename(dirname(__FILE__));
    $skindir = $imagedir . '/skins';

    global $theme_journalized_options;
    get_journalized_theme_options();

	if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>Options saved.</strong></p></div>';

    $bluechecked = $sandchecked = $winterchecked = '';

    if ($theme_journalized_options['skin'] == 'blue')
        $bluechecked = 'checked="checked"';
    if ($theme_journalized_options['skin'] == 'sand')
        $sandchecked = 'checked="checked"';
    if ($theme_journalized_options['skin'] == 'winter')
        $winterchecked = 'checked="checked"';
    if ($theme_journalized_options['skin'] == 'grey')
        $greychecked = 'checked="checked"';
    if ($theme_journalized_options['skin'] == 'eggs')
        $eggschecked = 'checked="checked"';
    if ($theme_journalized_options['skin'] == 'flowers')
        $flowerschecked = 'checked="checked"';

    if ($theme_journalized_options['layout'] == 'ACB')
        $ACBchecked = 'checked="checked"';
    if ($theme_journalized_options['layout'] == 'CB')
        $CBchecked = 'checked="checked"';
    if ($theme_journalized_options['layout'] == 'AC')
        $ACchecked = 'checked="checked"';
    if ($theme_journalized_options['layout'] == 'C')
        $Cchecked = 'checked="checked"';

    if ($theme_journalized_options['altlayout'] == 'ACB')
        $altACBchecked = 'checked="checked"';
    if ($theme_journalized_options['altlayout'] == 'CB')
        $altCBchecked = 'checked="checked"';
    if ($theme_journalized_options['altlayout'] == 'AC')
        $altACchecked = 'checked="checked"';
    if ($theme_journalized_options['altlayout'] == 'C')
        $altCchecked = 'checked="checked"';

    if ($theme_journalized_options['calendar_column'] == 'A')
        $col_calendar_a_checked = 'checked="checked"';
    else if ($theme_journalized_options['calendar_column'] == 'B')
        $col_calendar_b_checked = 'checked="checked"';
    else
        $col_calendar_n_checked = 'checked="checked"';

    if ($theme_journalized_options['comments_column'] == 'A')
        $col_comments_a_checked = 'checked="checked"';
    else if ($theme_journalized_options['comments_column'] == 'B')
        $col_comments_b_checked = 'checked="checked"';
    else
        $col_comments_n_checked = 'checked="checked"';

    if ($theme_journalized_options['categories_column'] == 'A')
        $col_categories_a_checked = 'checked="checked"';
    else if ($theme_journalized_options['categories_column'] == 'B')
        $col_categories_b_checked = 'checked="checked"';
    else
        $col_categories_n_checked = 'checked="checked"';

    if ($theme_journalized_options['intlinks_column'] == 'A')
        $col_intlinks_a_checked = 'checked="checked"';
    else if ($theme_journalized_options['intlinks_column'] == 'B')
        $col_intlinks_b_checked = 'checked="checked"';
    else
        $col_intlinks_n_checked = 'checked="checked"';

    if ($theme_journalized_options['search_column'] == 'A')
        $col_search_a_checked = 'checked="checked"';
    else if ($theme_journalized_options['search_column'] == 'B')
        $col_search_b_checked = 'checked="checked"';
    else
        $col_search_n_checked = 'checked="checked"';

    if ($theme_journalized_options['archives_column'] == 'A')
        $col_archives_a_checked = 'checked="checked"';
    else if ($theme_journalized_options['archives_column'] == 'B')
        $col_archives_b_checked = 'checked="checked"';
    else
        $col_archives_n_checked = 'checked="checked"';

    if ($theme_journalized_options['other_column'] == 'A')
        $col_other_a_checked = 'checked="checked"';
    else if ($theme_journalized_options['other_column'] == 'B')
        $col_other_b_checked = 'checked="checked"';
    else
        $col_other_n_checked = 'checked="checked"';

    if ($theme_journalized_options['links_column'] == 'A')
        $col_links_a_checked = 'checked="checked"';
    else if ($theme_journalized_options['links_column'] == 'B')
        $col_links_b_checked = 'checked="checked"';
    else
        $col_links_n_checked = 'checked="checked"';

    if ($theme_journalized_options['headimg_wide'] == 'Y')
        $headimg_wide_checked = 'checked="checked"';

    if ($theme_journalized_options['headimg_bg'] == 'Y')
        $headimg_bg_checked = 'checked="checked"';

?>
<style>
input { margin-left: 2em; }
fieldset { 	border: 1px solid #ddd;	-moz-border-radius: 5px; }
</style>
<div class='wrap'>
    <div id="form">
        <form method="POST">
            <input type="hidden" name="action" id="action" value="save" />

            <fieldset id="skincolour"><legend>Skin Colour</legend>
                <div>
                    <div style="float:left">
                        <p style="text-align:center">
                        <input type="radio" name="skin" id="skinblue" value="blue" <?php echo $bluechecked; ?> style="vertical-align:top" />
                        <label for="skinblue"><img src="<?php echo $skindir; ?>/blue-thumb.png" />
                        <br />Blue</p></label>
                    </div>

                    <div style="float:left">
                        <p style="text-align:center">
                        <input type="radio" name="skin" id="skinsand" value="sand" <?php echo $sandchecked; ?> style="vertical-align:top" />
                        <label for="skinsand"><img src="<?php echo $skindir; ?>/sand-thumb.png" />
                        <br />Sand</p></label>
                    </div>

                    <div style="float:left">
                        <p style="text-align:center">
                        <input type="radio" name="skin" id="skinwinter" value="winter" <?php echo $winterchecked; ?> style="vertical-align:top" />
                        <label for="skinwinter"><img src="<?php echo $skindir; ?>/winter-thumb.png" />
                        <br />Winter</p></label>
                    </div>

                    <div style="float:left">
                        <p style="text-align:center">
                        <input type="radio" name="skin" id="skingrey" value="grey" <?php echo $greychecked; ?> style="vertical-align:top" />
                        <label for="skingrey"><img src="<?php echo $skindir; ?>/grey-thumb.png" />
                        <br />Grey</p></label>
                    </div>

                    <div style="float:left">
                        <p style="text-align:center">
                        <input type="radio" name="skin" id="skineggs" value="eggs" <?php echo $eggschecked; ?> style="vertical-align:top" />
                        <label for="skineggs"><img src="<?php echo $skindir; ?>/eggs-thumb.png" />
                        <br />Eggs</p></label>
                    </div>

                    <div style="float:left">
                        <p style="text-align:center">
                        <input type="radio" name="skin" id="skinflowers" value="flowers" <?php echo $flowerschecked; ?> style="vertical-align:top" />
                        <label for="skinflowers"><img src="<?php echo $skindir; ?>/flowers-thumb.png" />
                        <br />Flowers</p></label>
                    </div>

                </div>
            </fieldset>

            <fieldset id="arclayout"><legend>Main Layout</legend>
                <div>
                    <p>This is the layout used for your main blog page, and whenever there is more than one post listed.</p>
                    <div style="float:left">
                        <p style="text-align:center">
                        <input type="radio" name="layout" id="layoutACB" value="ACB" <?php echo $ACBchecked; ?> style="vertical-align:top" />
                        <label for="layoutACB">
                        <img src="<?php echo $imagedir; ?>/layout-ACB.png" />
                        <br />Both columns</p></label>
                    </div>

                    <div style="float:left">
                        <p style="text-align:center">
                        <input type="radio" name="layout" id="layoutAC" value="AC" <?php echo $ACchecked; ?> style="vertical-align:top" />
                        <label for="layoutAC"><img src="<?php echo $imagedir; ?>/layout-AC.png" />
                        <br />Left column</p></label>
                    </div>

                    <div style="float:left">
                        <p style="text-align:center">
                        <input type="radio" name="layout" id="layoutCB" value="CB" <?php echo $CBchecked; ?> style="vertical-align:top" />
                        <label for="layoutCB"><img src="<?php echo $imagedir; ?>/layout-CB.png" />
                        <br />Right column</p></label>
                    </div>

                    <div style="float:left">
                        <p style="text-align:center">
                        <input type="radio" name="layout" id="layoutC" value="C" <?php echo $Cchecked; ?> style="vertical-align:top" />
                        <label for="layoutC"><img src="<?php echo $imagedir; ?>/layout-C.png" />
                        <br />Neither column</p></label>
                    </div>

                </div>
            </fieldset>

            <fieldset id="altlayoutf"><legend>Single and Page Layout</legend>
                <div>
                    <p>This is the layout used for an individual post or a 'static' page.</p>
                    <div style="float:left">
                        <p style="text-align:center">
                        <input type="radio" name="altlayout" id="altlayoutACB" value="ACB" <?php echo $altACBchecked; ?> style="vertical-align:top" />
                        <label for="altlayoutACB">
                        <img src="<?php echo $imagedir; ?>/layout-ACB.png" />
                        <br />Both columns</p></label>
                    </div>

                    <div style="float:left">
                        <p style="text-align:center">
                        <input type="radio" name="altlayout" id="altlayoutAC" value="AC" <?php echo $altACchecked; ?> style="vertical-align:top" />
                        <label for="altlayoutAC"><img src="<?php echo $imagedir; ?>/layout-AC.png" />
                        <br />Left column</p></label>
                    </div>

                    <div style="float:left">
                        <p style="text-align:center">
                        <input type="radio" name="altlayout" id="altlayoutCB" value="CB" <?php echo $altCBchecked; ?> style="vertical-align:top" />
                        <label for="altlayoutCB"><img src="<?php echo $imagedir; ?>/layout-CB.png" />
                        <br />Right column</p></label>
                    </div>

                    <div style="float:left">
                        <p style="text-align:center">
                        <input type="radio" name="altlayout" id="altlayoutC" value="C" <?php echo $altCchecked; ?> style="vertical-align:top" />
                        <label for="altlayoutC"><img src="<?php echo $imagedir; ?>/layout-C.png" />
                        <br />Neither column</p></label>
                    </div>

                </div>
            </fieldset>

            <fieldset id="intlinks_col"><legend>Internal links Column</legend>
                <p>This is the block of links to blog home, login, etc. includes the list of 'pages'.</p>
                <p><input type="radio" name="intlinks_column" id="int_col_a" value="A" <?php echo $col_intlinks_a_checked; ?>/> <label for="int_col_a"> Column A</label>
                <input type="radio" name="intlinks_column" id="int_col_b" value="B" <?php echo $col_intlinks_b_checked; ?>/> <label for="int_col_b"> Column B</label>
                <input type="radio" name="intlinks_column" id="int_col_n" value="N" <?php echo $col_intlinks_n_checked; ?>/> <label for="int_col_n"> Neither</label></p>
            </fieldset>

            <fieldset id="comments_col"><legend>Comments Column</legend>
                <p>This is the 5 most recent comments requires Scott Reilly's <a href="http://www.coffee2code.com/wp-plugins/">Customizable Comment Listings</a> .</p>
                <p><input type="radio" name="comments_column" id="com_col_a" value="A" <?php echo $col_comments_a_checked; ?>/> <label for="com_col_a"> Column A</label>
                <input type="radio" name="comments_column" id="com_col_b" value="B" <?php echo $col_comments_b_checked; ?>/> <label for="com_col_b"> Column B</label>
                <input type="radio" name="comments_column" id="com_col_n" value="N" <?php echo $col_comments_n_checked; ?>/> <label for="com_col_n"> Neither</label></p>
            </fieldset>

            <fieldset id="categories_col"><legend>Categories Column</legend>
                <p>This is the list of categories.</p>
                <p><input type="radio" name="categories_column" id="cat_col_a" value="A" <?php echo $col_categories_a_checked; ?>/> <label for="cat_col_a"> Column A</label>
                <input type="radio" name="categories_column" id="cat_col_b" value="B" <?php echo $col_categories_b_checked; ?>/> <label for="cat_col_b"> Column B</label>
                <input type="radio" name="categories_column" id="cat_col_n" value="N" <?php echo $col_categories_n_checked; ?>/> <label for="cat_col_n"> Neither</label>
                <!-- label for="categories_args">Category tag arguments</label><input type="input" name="categories_args" id="categories_args" value="<?php echo $theme_journalized_options['categories_args']; ?>" / --></p>
            </fieldset>

            <fieldset id="search_col"><legend>Search Box Column</legend>
                <p>Put a search box in your sidebar.</p>
                <p><input type="radio" name="search_column" id="sch_col_a" value="A" <?php echo $col_search_a_checked; ?>/> <label for="sch_col_a"> Column A</label>
                <input type="radio" name="search_column" id="sch_col_b" value="B" <?php echo $col_search_b_checked; ?>/> <label for="sch_col_b"> Column B</label>
                <input type="radio" name="search_column" id="sch_col_n" value="N" <?php echo $col_search_n_checked; ?>/> <label for="sch_col_n"> Neither</label></p>
            </fieldset>

            <fieldset id="calendar_col"><legend>Calendar Column</legend>
                <p>Put a calendar in your sidebar.</p>
                <p><input type="radio" name="calendar_column" id="cal_col_a" value="A" <?php echo $col_calendar_a_checked; ?>/> <label for="cal_col_a"> Column A</label>
                <input type="radio" name="calendar_column" id="cal_col_b" value="B" <?php echo $col_calendar_b_checked; ?>/> <label for="cal_col_b"> Column B</label>
                <input type="radio" name="calendar_column" id="cal_col_n" value="N" <?php echo $col_calendar_n_checked; ?>/> <label for="cal_col_n"> Neither</label></p>
            </fieldset>

            <fieldset id="archives_col"><legend>Archives Column</legend>
                <p>This block lists your monthly archives.</p>
                <p><input type="radio" name="archives_column" id="arc_col_a" value="A" <?php echo $col_archives_a_checked; ?>/> <label for="arc_col_a"> Column A</label>
                <input type="radio" name="archives_column" id="arc_col_b" value="B" <?php echo $col_archives_b_checked; ?>/> <label for="arc_col_b"> Column B</label>
                <input type="radio" name="archives_column" id="arc_col_n" value="N" <?php echo $col_archives_n_checked; ?>/> <label for="arc_col_n"> Neither</label>
                <!-- label for="archives_args">Archives tag arguments</label><input type="input" name="archives_args" id="archives_args" value="<?php echo $theme_journalized_options['archives_args']; ?>" / --></p>
            </fieldset>

            <fieldset id="links_col"><legend>Links Column</legend>
                <p>This block lists all your links in their categories.</p>
                <p><input type="radio" name="links_column" id="lnk_col_a" value="A" <?php echo $col_links_a_checked; ?>/> <label for="lnk_col_a"> Column A</label>
                <input type="radio" name="links_column" id="lnk_col_b" value="B" <?php echo $col_links_b_checked; ?>/> <label for="lnk_col_b"> Column B</label>
                <input type="radio" name="links_column" id="lnk_col_n" value="N" <?php echo $col_links_n_checked; ?>/> <label for="lnk_col_n"> Neither</label></p>
            </fieldset>

            <fieldset id="other_col"><legend>Other Links Column</legend>
                <p>This block includes links to feeds, validators, etc.</p>
                <p><input type="radio" name="other_column" id="oth_col_a" value="A" <?php echo $col_other_a_checked; ?>/> <label for="oth_col_a"> Column A</label>
                <input type="radio" name="other_column" id="oth_col_b" value="B" <?php echo $col_other_b_checked; ?>/> <label for="oth_col_b"> Column B</label>
                <input type="radio" name="other_column" id="oth_col_n" value="N" <?php echo $col_other_n_checked; ?>/> <label for="oth_col_n"> Neither</label></p>
            </fieldset>


            <fieldset id="columna"><legend>Column A Settings</legend>
                <p><label for="col_a_quote" style="vertical-align:top">Top text:</label><textarea name="col_a_quote" id="col_a_quote" cols="50" rows="5"><?php echo stripslashes($theme_journalized_options['col_a_quote']); ?></textarea>
                <br />This is the quote or quip that is displayed at the top of column A</p>
            </fieldset>

            <fieldset id="columnb"><legend>Column B Settings</legend>
                <p><label for="col_b_quote" style="vertical-align:top">Top text:</label><textarea name="col_b_quote" id="col_b_quote" cols="50" rows="5"><?php echo stripslashes($theme_journalized_options['col_b_quote']); ?></textarea>
                <br />This is the quote or quip that is displayed at the top of column B</p>
            </fieldset>

            <fieldset id="headimage"><legend>Header Image Settings</legend>
                <p><label for="headimg_name" style="vertical-align:top">Header Image (leave blank for none):</label><input name="headimg_name" id="headimg_name" value="<?php echo $theme_journalized_options['headimg_name']; ?>" />
                <br />This should be set to the filename of the image (assumed to be in the skins folder</p>
                <input type="checkbox" name="headimg_wide" id="headimg_wide" value="Y" <?php echo $headimg_wide_checked; ?>/> <label for="headimg_wide">Full width of browser?</label>
                <input type="checkbox" name="headimg_bg" id="headimg_bg" value="Y" <?php echo $headimg_bg_checked; ?>/> <label for="headimg_bg">Add to background of header box? (Recommended)</label>

            </fieldset>

            <p><input type="submit" name="defaultsubmit" value="Save Settings" /></p>
        </form>
    </div>
</div>
<?php
} // end journalized_theme_page


// this is our data array stored as 'theme-journalized-options' in options

function get_journalized_theme_options() {
    global $theme_journalized_options;

    // default array
    $theme_journalized_options  = array(
        'skin' => 'blue',
        'layout' => 'ACB',
        'altlayout' => 'ACB',
        'col_a_quote' => '<p><strong>jour&#183;nal</strong> <i>n.</i> A personal record of occurrences, experiences, and reflections kept on a regular basis; a diary. </p>',
        'col_b_quote' => '<p><strong>95.</strong> <i>We are waking up and linking to each other. We are watching. But we are not waiting.</i><br/>&mdash; <a href="http://www.cluetrain.com/" title="The Cluetrain Manifesto">The Cluetrain Manifesto</a></p>',
        'calendar_column' => 'A',
        'comments_column' => 'B',
        'categories_column' => 'A',
        'categories_args' => '',
        'archives_args' => '',
        'intlinks_column' => 'A',
        'search_column' => 'A',
        'archives_column' => 'A',
        'other_column' => 'A',
        'links_column' => 'B',
        // also support random image, recent comments, two advert slots, category params (display count?), archives limit,
        // header image - middle/fullwidth - image/background
        );
    $tmp = get_settings('theme-journalized-options');
    if (isset($tmp)) {
        $tmp = unserialize($tmp);
        if (is_array($tmp)) {
            $theme_journalized_options = $tmp;
        }
    }
}

function journalized_head() {
	$head = "<!--";
	$output = 'Journalized Theme version 2.0 beta 2';
	$foot = "-->\n";
	if ( '' != $output )
		echo $head . $output . $foot;
}

function journalized_skin() {
    global $theme_journalized_options;
    get_journalized_theme_options();

    if ($theme_journalized_options['skin'] != '')
        return bloginfo('stylesheet_directory') . '/skins/'
            . $theme_journalized_options['skin'] . '-skin.css';
    return bloginfo('stylesheet_directory') . '/skins/blue-skin.css';
}

function journalized_layout_sheet() {
    global $theme_journalized_options;
    get_journalized_theme_options();
    return bloginfo('stylesheet_directory') . '/layout.css';
}


function journalized_col_a_quote() {
    global $theme_journalized_options;
    get_journalized_theme_options();
    return stripslashes($theme_journalized_options['col_a_quote']);
}

function journalized_col_a_on() {
    global $theme_journalized_options;
    get_journalized_theme_options();
    if ((! is_single()) && (! is_page()))
        $layout = $theme_journalized_options['layout'];
     else
        $layout = $theme_journalized_options['altlayout'];

    if ($layout == 'ACB' || $layout == 'AC')
        return TRUE;

    return FALSE;
}

function journalized_col_b_on() {
    global $theme_journalized_options;
    get_journalized_theme_options();
    if ((! is_single()) && (! is_page()))
        $layout = $theme_journalized_options['layout'];
     else
        $layout = $theme_journalized_options['altlayout'];

    if ($layout == 'ACB' || $layout == 'CB')
        return TRUE;

    return FALSE;
}

function journalized_col_b_quote() {
    global $theme_journalized_options;
    get_journalized_theme_options();
    return stripslashes($theme_journalized_options['col_b_quote']);
}

function journalized_calendar_column() {
    global $theme_journalized_options;
    get_journalized_theme_options();
    return $theme_journalized_options['calendar_column'];
}

function journalized_comments_column() {
    global $theme_journalized_options;
    get_journalized_theme_options();
    return $theme_journalized_options['comments_column'];
}

function journalized_categories_column() {
    global $theme_journalized_options;
    get_journalized_theme_options();
    return $theme_journalized_options['categories_column'];
}

function journalized_intlinks_column() {
    global $theme_journalized_options;
    get_journalized_theme_options();
    return $theme_journalized_options['intlinks_column'];
}

function journalized_search_column() {
    global $theme_journalized_options;
    get_journalized_theme_options();
    return $theme_journalized_options['search_column'];
}

function journalized_archives_column() {
    global $theme_journalized_options;
    get_journalized_theme_options();
    return $theme_journalized_options['archives_column'];
}

function journalized_other_column() {
    global $theme_journalized_options;
    get_journalized_theme_options();
    return $theme_journalized_options['other_column'];
}

function journalized_links_column() {
    global $theme_journalized_options;
    get_journalized_theme_options();
    return $theme_journalized_options['links_column'];
}

function journalized_header_image() {
    global $theme_journalized_options;
    get_journalized_theme_options();
    if ($theme_journalized_options['headimg_name'] == '')
        return '';
    return get_stylesheet_directory_uri() . '/skins/'
        . $theme_journalized_options['headimg_name'];
}

function journalized_header_image_wide() {
    global $theme_journalized_options;
    get_journalized_theme_options();
    return $theme_journalized_options['headimg_wide'];
}

function journalized_header_image_background() {
    global $theme_journalized_options;
    get_journalized_theme_options();
    return $theme_journalized_options['headimg_bg'];
}

function journalized_header_image_layout() {
    global $theme_journalized_options;
    get_journalized_theme_options();
    if (journalized_header_image() != '')
    {
        $ret = '<style type="text/css" media="screen"><!--' . "\n";
        if ($theme_journalized_options['headimg_wide'] == 'Y')
            $ret .= '#headerblock { margin-right: 0px; margin-left: 0px; }'. "\n"
                . '#cola, #colb { top: 13em; }'. "\n";
        if ($theme_journalized_options['headimg_bg'] == 'Y')
            $ret .= '#headerblock { background-image:url(' . journalized_header_image() . ') }' . "\n";
        else
            $ret .= '#headerblock { padding: 0; }' . "\n"
                . 'h1 { margin: 0; }' . "\n";
        $ret .= '--></style>';
        return $ret;
    }
    else
        return '';
}

function journalized_header_html()
{
    global $theme_journalized_options;
    get_journalized_theme_options();

    if (journalized_header_image() == '') {
        $ret = get_bloginfo('name');
    } else {
        if ($theme_journalized_options['headimg_bg'] == 'Y') {
            $ret = get_bloginfo('name');
        } else {
            $ret = '<img src="' . journalized_header_image() . '" alt="" />';
        }
    }
    return $ret;
}

function journalized_width_class($echo=true) {
    global $theme_journalized_options;
    get_journalized_theme_options();

    if ((! is_single()) && (! is_page()))
        $layout = $theme_journalized_options['layout'];
     else
        $layout = $theme_journalized_options['altlayout'];

    if ($layout == 'ACB')
        $ret = 'journalized-centre-normal';
    else if ($layout == 'CB')
        $ret = 'journalized-centre-left';
    else if ($layout == 'C')
        $ret = 'journalized-centre-full';
    else if ($layout == 'AC')
        $ret = 'journalized-centre-right';

    if (!$echo)
        return $ret;
    echo $ret;
}

?><?php

// wp 1.5.x activation code taken from the Wordpress Theme Toolkit by Ozh
// http://planetOzh.com/

// After activating the theme. Visit your blog page. Then go back to the
// presentation page. The new Journalized Theme Options admin panel should now
// be visible.

    
if (get_bloginfo('version') < 2) {
    pluginification();
}
function pluginification () {
    $path = '../themes/' . basename(dirname(__FILE__));
    $us = $path.'/functions.php';
    $them = get_settings('active_plugins');
    /* Now, are we members of the PPC (Plugins Private Club) yet ? */
    if (!in_array($us,$them)) {
        /* No ? Jeez, claim member card ! */
        $them[]=$us;
        update_option('active_plugins',$them);
        /* Wow. We're l33t now. */
        return TRUE;
    } else {
        return FALSE;
    }
}

// Call this function to remove it.
//depluginification();
function depluginification () {
    $path = '../themes/' . basename(dirname(__FILE__));
    $us = $path.'/functions.php';
    $them = get_settings('active_plugins');
    if (in_array($us,$them)) {
        $here = array_search($us,$them);
        unset($them[$here]);
        update_option('active_plugins',$them);
        return TRUE;
    } else {
        return FALSE;
    }
}

?>